Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jedi.ds
Class ProjectLoader

    java.lang.Object
      |
      +--jreqtools.ProgressTask
            |
            +--jedi.ds.ProjectLoader

All Implemented Interfaces:
  jedi.ds.MessageReceiver

public class ProjectLoader
extends ProgressTask
implements jedi.ds.MessageReceiver

Constructor Summary
`ProjectLoader(java.lang.String toload)`

Method Summary
`int` | `getCurrent()`
`java.lang.String` | `getCurrentText()`
`java.lang.String` | `getDescriptionForTitle()` Returns a string which may be used as a decribing frame title (especially for a progress tracker).
`int` | `getMaximum()`
`int` | `getMinimum()`
`Project` | `getProject()`
`void` | `run()`
`void` | `setCurrent(int value)`
`void` | `setCurrentText(java.lang.String text)`
`void` | `setMaximum(int value)`

Methods inherited from class jreqtools.ProgressTask
`cancel`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ProjectLoader

    public ProjectLoader(java.lang.String toload)

Method Detail

### getCurrent

    public int getCurrent()

  Specified by:
    `getCurrent` in interface `jedi.ds.MessageReceiver`
  Overrides:
    `getCurrent` in class `ProgressTask`

### getCurrentText

    public java.lang.String getCurrentText()

  Overrides:
    `getCurrentText` in class `ProgressTask`

### getDescriptionForTitle

    public java.lang.String getDescriptionForTitle()

  Returns a string which may be used as a decribing frame title (especially for a progress tracker).

### getMaximum

    public int getMaximum()

  Specified by:
    `getMaximum` in interface `jedi.ds.MessageReceiver`
  Overrides:
    `getMaximum` in class `ProgressTask`

### getMinimum

    public int getMinimum()

  Overrides:
    `getMinimum` in class `ProgressTask`

### getProject

    public Project getProject()

### run

    public void run()

  Overrides:
    `run` in class `ProgressTask`

### setCurrent

    public void setCurrent(int value)

  Specified by:
    `setCurrent` in interface `jedi.ds.MessageReceiver`

### setCurrentText

    public void setCurrentText(java.lang.String text)

  Specified by:
    `setCurrentText` in interface `jedi.ds.MessageReceiver`

### setMaximum

    public void setMaximum(int value)

  Specified by:
    `setMaximum` in interface `jedi.ds.MessageReceiver`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD